Package com.logicaldoc.core.searchengine.analyzer

# Class FilteredAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.AnalyzerWrapper
com.logicaldoc.core.searchengine.analyzer.FilteredAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class FilteredAnalyzer extends org.apache.lucene.analysis.AnalyzerWrapper
This analyzer is a wrapper to be used to handle an ordered list of filters. Please see also https://lucene.apache.org/solr/guide/8_5/understanding-analyzers-tokenizers-and-filters.html

Since:
  7.1
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`org.apache.lucene.analysis.Analyzer.ReuseStrategy, org.apache.lucene.analysis.Analyzer.TokenStreamComponents`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ThreadLocal<String>`
`lang`

### Fields inherited from class org.apache.lucene.analysis.Analyzer

`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

## Constructor Summary

Constructors
Constructor
Description
`FilteredAnalyzer()`

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`getTokenFilterNames(boolean justActives)`
Ordered list of token filter names

### Methods inherited from class org.apache.lucene.analysis.AnalyzerWrapper

`getOffsetGap, getPositionIncrementGap, initReader`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getReuseStrategy, getVersion, normalize, setVersion, tokenStream, tokenStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lang

public static final ThreadLocal<String> lang

## Constructor Details

### FilteredAnalyzer

public FilteredAnalyzer()

## Method Details

### getTokenFilterNames

public static List<String> getTokenFilterNames(boolean justActives)
Ordered list of token filter names

Parameters:
  `justActives` - if we have to consider just the active tokens
Returns:
  list of token names